org.apache.commons.imaging.common

## Class BinaryConstant

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryConstant

-     public class BinaryConstant
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryConstant(byte[] value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BinaryConstant` | `clone()`
    `boolean` | `equals(byte[] bytes)`
    `boolean` | `equals(byte[] bytes, int offset, int length)`
    `boolean` | `equals(Object obj)`
    `byte` | `get(int i)`
    `int` | `hashCode()`
    `int` | `size()`
    `byte[]` | `toByteArray()`
    `void` | `writeTo(OutputStream os)`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryConstant

          public BinaryConstant(byte[] value)

  - ### Method Detail

    - #### clone

          public BinaryConstant clone()
                               throws CloneNotSupportedException

      Overrides:
        `clone` in class `Object`
      Throws:
        `CloneNotSupportedException`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(byte[] bytes)

    - #### equals

          public boolean equals(byte[] bytes,
                                int offset,
                                int length)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### get

          public byte get(int i)

    - #### size

          public int size()

    - #### toByteArray

          public byte[] toByteArray()

    - #### writeTo

          public void writeTo(OutputStream os)
                       throws IOException

      Throws:
        `IOException`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.